
From: Keiichiro Tokunaga <tokunaga.keiich@jp.fujitsu.com>

This is to fix Kconfig help of ACPI_CONTAINER that did not really help.  I
posted the patch before, but it seems that it has not applied yet.  Sorry
for the previous terrible help.

Signed-off-by: Keiichiro Tokunaga <tokunaga.keiich@jp.fujitsu.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/Kconfig |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff -puN drivers/acpi/Kconfig~fix-help-for-acpi_container drivers/acpi/Kconfig
--- 25/drivers/acpi/Kconfig~fix-help-for-acpi_container	2005-03-20 16:56:15.000000000 -0800
+++ 25-akpm/drivers/acpi/Kconfig	2005-03-20 16:56:15.000000000 -0800
@@ -338,8 +338,13 @@ config ACPI_CONTAINER
 	depends on EXPERIMENTAL
 	default (ACPI_HOTPLUG_MEMORY || ACPI_HOTPLUG_CPU || ACPI_HOTPLUG_IO)
 	 ---help---
-	 	This is the ACPI generic container driver which supports
-		ACPI0004, PNP0A05 and PNP0A06 devices
+	  This allows _physical_ insertion and removal of CPUs and memory.
+	  This can be useful, for example, on NUMA machines that support
+	  ACPI based physical hotplug of nodes, or non-NUMA machines that
+	  support physical cpu/memory hot-plug.
+
+	  If one selects "m", this driver can be loaded with
+	  "modprobe acpi_container".
 
 config ACPI_HOTPLUG_MEMORY
 	tristate "Memory Hotplug"
_
